OperationConvertPartToItem Method

Convert a part to an item. This will also create a new shape in the shape catalog.

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public static bool ConvertPartToItem(
	 in Part originalPart,
	out Brep newItem
)

Parameters

originalPart
Type: Tekla.Structures.ModelPart
Original part
newItem
Type: Tekla.Structures.ModelBrep
Newly created item

Return Value

Type: Boolean
True on success, false on failure.
Exceptions
ExceptionCondition
ArgumentNullExceptionThrown if the originalPart is null.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next